public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/sg3_utils/
Date: Fri, 15 Mar 2024 04:14:50 +0000 (UTC)	[thread overview]
Message-ID: <1710476057.4ea1b2361e90456b422cc08bc8d5c9f8e8241990.sam@gentoo> (raw)

commit:     4ea1b2361e90456b422cc08bc8d5c9f8e8241990
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Fri Mar 15 04:12:17 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 15 04:14:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ea1b236

sys-apps/sg3_utils: update EAPI 7 -> 8

Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/sg3_utils/sg3_utils-1.47-r2.ebuild | 48 +++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/sys-apps/sg3_utils/sg3_utils-1.47-r2.ebuild b/sys-apps/sg3_utils/sg3_utils-1.47-r2.ebuild
new file mode 100644
index 000000000000..7713ea4da2c5
--- /dev/null
+++ b/sys-apps/sg3_utils/sg3_utils-1.47-r2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit libtool
+
+DESCRIPTION="Apps for querying the sg SCSI interface"
+HOMEPAGE="https://sg.danny.cz/sg/"
+#SRC_URI="https://github.com/hreinecke/sg3_utils/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://sg.danny.cz/sg/p/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="static-libs"
+
+RDEPEND="!sys-apps/rescan-scsi-bus"
+
+PATCHES=(
+	# Bug #828897
+	"${FILESDIR}"/${PN}-1.47-musl.patch
+)
+
+src_prepare() {
+	default
+	elibtoolize
+}
+
+src_configure() {
+	econf $(use_enable static-libs static)
+}
+
+src_install() {
+	default
+	dodoc COVERAGE doc/README examples/*.txt
+	newdoc scripts/README README.scripts
+
+	find "${ED}" -type f -name "*.la" -delete || die
+
+	# Better fix for bug 231089; some packages look for sgutils2
+	local path lib
+	path="/usr/$(get_libdir)"
+	for lib in "${ED}/"${path}/libsgutils2{,-${PV}}.*; do
+		lib=${lib##*/}
+		dosym "${lib}" "${path}/${lib/libsgutils2/libsgutils}"
+	done
+}


             reply	other threads:[~2024-03-15  4:14 UTC|newest]

Thread overview: 77+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-15  4:14 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-15  9:19 [gentoo-commits] repo/gentoo:master commit in: sys-apps/sg3_utils/ Arthur Zamarin
2024-11-14 18:41 Sam James
2024-11-14  4:35 Sam James
2024-11-14  4:35 Sam James
2024-11-14  3:39 Sam James
2024-11-14  3:17 Sam James
2024-11-14  3:17 Sam James
2024-09-26 19:31 Sam James
2024-06-01  3:46 Ionen Wolkens
2024-04-29  7:51 Jakov Smolić
2024-04-29  7:51 Jakov Smolić
2024-03-15  4:14 Sam James
2024-03-15  4:14 Sam James
2023-03-04 11:41 Arthur Zamarin
2023-03-04  9:10 Arthur Zamarin
2023-03-04  7:54 Arthur Zamarin
2023-03-04  7:37 Arthur Zamarin
2023-03-04  7:06 Arthur Zamarin
2023-03-04  6:17 Arthur Zamarin
2023-03-04  5:59 Arthur Zamarin
2023-03-04  5:48 Arthur Zamarin
2022-06-02  7:31 Jakov Smolić
2022-06-02  5:03 Jakov Smolić
2022-06-02  3:14 Sam James
2022-06-02  3:14 Sam James
2022-06-02  3:12 Sam James
2022-06-02  3:12 Sam James
2022-06-02  3:05 Sam James
2022-06-02  3:05 Sam James
2022-05-19 11:24 WANG Xuerui
2022-04-12 11:12 Sam James
2021-11-11 12:40 Lars Wendler
2021-11-11 12:37 Lars Wendler
2021-09-24  1:37 Yixun Lan
2021-09-23  1:07 Matt Turner
2021-06-17 21:40 Mike Gilbert
2021-06-17 21:25 Mike Gilbert
2021-05-31  9:20 David Seifert
2021-05-14 10:45 David Seifert
2021-05-14  9:35 Agostino Sarubbo
2021-05-13 18:58 Sam James
2021-05-13 17:10 Sam James
2021-05-13 16:55 Sam James
2021-05-13 16:24 Sam James
2021-05-13 16:18 Sam James
2021-04-30 19:38 Andreas Sturmlechner
2021-04-21 19:02 Sam James
2021-04-03 17:48 Mike Gilbert
2021-03-30 11:37 Lars Wendler
2021-03-30  7:05 Lars Wendler
2021-03-29 14:50 Sam James
2021-03-29 14:50 Sam James
2021-03-29 14:50 Sam James
2021-03-29 14:50 Sam James
2020-08-19 19:56 Sam James
2020-03-05 16:54 Lars Wendler
2020-03-05  9:23 Agostino Sarubbo
2020-03-05  8:19 Sergei Trofimovich
2020-03-04 13:03 Agostino Sarubbo
2020-03-04 13:02 Agostino Sarubbo
2020-03-04 13:02 Agostino Sarubbo
2020-03-04 13:01 Agostino Sarubbo
2020-03-04 13:01 Agostino Sarubbo
2020-03-04 13:00 Agostino Sarubbo
2020-03-04  9:14 Lars Wendler
2020-02-15 10:03 David Seifert
2018-09-18 11:13 Thomas Deutschmann
2018-09-18 10:23 Lars Wendler
2018-09-12 12:17 Lars Wendler
2017-10-10 21:12 Thomas Deutschmann
2017-06-19 18:37 Alexis Ballier
2016-08-04  8:28 Jeroen Roovers
2016-06-13 14:32 Tobias Klausmann
2016-06-12 20:00 Markus Meier
2016-06-11 17:00 Agostino Sarubbo
2016-02-18  9:52 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1710476057.4ea1b2361e90456b422cc08bc8d5c9f8e8241990.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox